#!/bin/sh

# this makes the tracefile in /tmp and $$ is the "pid" (process ID)
mkfifo /tmp/trace.$$

# This runs valgrind, and $* passes the command line arguments in
#  as the program to be run
eval ./bin/valgrind --tool=cachetool --tracefile=/tmp/trace.$$ $* & 

# This runs the cache-stats program
# the "\" character means to continue the line onto the next line
#  (that is, put everything on one line)

/fusion/scratch2/vince/cache_tool/cache_stats /tmp/trace.$$ \
  ./test_config $1.nm.gz $1
