#define TRACE_VERSION 11

/* Header - 16 bytes */
#define HEADER_LONGSIZE   0
#define HEADER_ENDIANESS  1
#define HEADER_VERSION    2
#define HEADER_BUFFERSIZE 3

/* Actual trace */
#define ADDRESS          0
 #define ADDRESS_LOADSTORE 0
 #define ADDRESS_ADDRESS   1
 #define ADDRESS_CALLSITE  2
 #define ADDRESS_SIZE      3
 #define ADDRESS_LOAD     0
 #define ADDRESS_STORE    1

#define MALLOC_INFO      1
 #define MALLOC_SIZE      0
 #define MALLOC_CALLSITE  1

#define MALLOC_ADDRESS    2
#define CALLOC_ADDRESS    4
#define REALLOC_ADDRESS   6
#define NEW_ADDRESS      13
#define VEC_NEW_ADDRESS  15
#define MEMALIGN_ADDRESS 19
 #define ALLOC_ADDRESS     0

#define CALLOC_INFO      3
 #define CALLOC_COUNT     0
 #define CALLOC_SIZE      1
 #define CALLOC_CALLSITE  2

#define REALLOC_INFO     5
 #define REALLOC_OLD_ADDRESS 0
 #define REALLOC_SIZE        1
 #define REALLOC_CALLSITE    2

#define FREE_INFO        7
#define DELETE          16
#define VEC_DELETE      17
 #define FREE_ADDRESS        0

#define FREE_FINISHED    8

#define BLOCK_BEGIN      9
 #define BLOCK_BLOCK      0
 #define BLOCK_ADDRESS    1
 #define BLOCK_SIZE       2
 #define BLOCK_INSTRUCTIONS 3

#define CALL            10
 #define CALL_RETURN      0

#define RETURN          11

#define NEW_INFO        12
 #define NEW_SIZE         0
 #define NEW_CALLSITE     1

#define VEC_NEW_INFO    14
 #define VEC_NEW_SIZE     0
 #define VEC_NEW_CALLSITE 1

#define MEMALIGN_INFO   18
 #define MEMALIGN_SIZE     0
 #define MEMALIGN_ALIGN    1
 #define MEMALIGN_CALLSITE 2
/* next available = 20 */
